# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
# Author: blastbeat
# Author-email: blastbeat@users.sourceforge.net
# License: GPL3 // undecided as yet
inherit eutils autotools

DESCRIPTION="Luadch is a hub for the ADC network and mostly written in Lua"
HOMEPAGE="http://sourceforge.net/projects/luadch/"
SRC_URI="mirror://sourceforge/${PN}/luadch_v${PV}_src.zip"

KEYWORDS="-* ~x86 ~amd64 ~ppc"
SLOT="0"
LICENSE="GPL-2"

RDEPEND="app-arch/unzip
	dev-libs/openssl
	dev-libs/geoip
	=dev-lang/lua-5.1.4"

DEPEND="${RDEPEND}"

S=${WORKDIR}
PREFIX="/opt/luadch"

src_unpack() {
            unpack ${A}
            cd "${S}"
	cp "${FILESDIR}"/configure configure || die "cp failed"
}

src_compile()
{
	econf || die "econf failed"
	cd "${S}"/build_gcc/luadch/certs
	chmod +x make_cert make_cert.sh ./make_cert
	cd "${S}"
	emake
}

src_install()
{

	mv "${S}/build_gcc/luadch/" "${PREFIX}"
}

#DOCS="api default_levels manual settings_help"

pkg_postinst() {
	elog "Warning This is an experimental ebuild"
        elog "If it doesnt work tough, use at own risk!"
	elog "the hubsoft is now installed in /opt/luadch"
	elog "for more info read the website"
	elog "http://sourceforge.net/projects/luadch/"
	elog
}
